### Method

# Snapd Client set_allow_interaction

since: 1.19

#### Declaration [src]

    void
    snapd_client_set_allow_interaction (
      SnapdClient* client,
      gboolean allow_interaction
    )

#### Description [src]

Set whether snapd operations are allowed to interact with the user. This affects operations that use polkit authorisation. Defaults to TRUE.

Available since: 1.19

#### Parameters

`allow_interaction`

  Type: `gboolean`

  Whether to allow interaction.